Bug 316311 - ghdl should require zlib-devel
ghdl should require zlib-devel
Product: Fedora
Classification: Fedora
Component: ghdl (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Sailer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-02 18:51 EDT by Jaroslaw Gorny
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: ghdl-0.25-0.89svn.6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-09 12:29:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jaroslaw Gorny 2007-10-02 18:51:14 EDT
Description of problem:
ghdl doesn't have zlib-devel in 'Requires' in spec file. Without zlib-devel it 
is impossible to elaborate design.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. ghdl -a SomeDesign.vhdl
2. ghdl -e SomeDesign

Actual results:
/usr/bin/ld: cannot find -lz

Expected results:
elaborate design
Comment 1 Thomas Sailer 2007-10-08 13:16:34 EDT
Thanks. Actually, ghdl-grt should require zlib-devel, to pull in the correct 
architecture version of zlib-devel. You should be able to install both 
ghdl-grt.i386 and ghdl-grt.x86_64 on an x86_64 machine and be able to produce 
both 32 and 64 bit binaries (via the -m32 switch).

Since we are now in devel freeze for F8 and I don't think it is severe enough 
to break the freeze, a fix will have to wait until after F8 release.

Note You need to log in before you can comment on or make changes to this bug.